# NOTE: there is EXACTLY ONE TAB between the service name and the levels
# (if there is a level). If no levels, the line ends with no whitespace,
# just the service name. Failure to follow this format will show up as the
# service file being re-installed again and again.

# search for HOST SPECIFIC to find manually added/maintained
# daemontools entries at end of file

#Maps power events to commands.
#   allows system shutdown when power button is hit. 
acpid	345

#if "SERVICES" =~ /\bBACKUPPC\b/
backuppc	345
#endif

#if "SERVICES" =~ /VPNIPSEC/
iperf_service	service
#endif

#cron for hosts that are not up all the time. All our servers
#are up all the time so no need to run it.
#anacron	2345

# power management daemon. Used to suspend system etc.
# not useful for servers
#apmd	2345

#arptables_jf	2345

#comment the at atdaemon
atd	345

# The automount daemon.
#if "USES" =~ /AUTOFS/
autofs	345
#endif

#bacula-fd	2345

#bluetooth	2345
#canna	2345

#if "OS" !~ /FEDORA_1/
#comment change cpuspeed on load. A very green thing to do.
#But only on fc2 and newer.
cpuspeed	12345
#endif

#classic cron daemon
crond	2345

#if "USES" !~ /NOCUPS/
# printer daemon.
cups	2345
#endif

#cups-config-daemon	345

# dynamic host configuration protocol (also bootp) daemon
#if "SERVICES" =~ /DHCP/ && "SERVICES" !~ /DHCPTEST/
dhcpd	2345
#endif

# dnscache service
#if "SERVICES" =~ /DNSCACHE/
dnscache	service
#endif

# run firstboot druid. Looks like an fc1 thingy
#firstboot	35

# using mouse on vga console. Mostly we do serial console so not needed
#gpm	2345

#if "OS" !~ /FEDORA_1/ 
# no hal daemon for fc 1
# hardware alert daemon
haldaemon	345
#endif

# ptal-init is the init script and device setup utility
# for the HP OfficeJet Linux driver.
#hpoj	2345

# apache httpd daemon
#if "SERVICES" =~ /APACHE|APACHEINT|CACTI/
httpd	345
#endif

# input mode server for kanji and other asian language support
#iiim	2345

# network mapping/monitoring daemon see intermapper(1)
#intermapperd	345

# IPv6 firewalls implementation
# only enabled on 6 hosts, but no-op since /etc/sysconfig/ip6tables
# is missing.
#ip6tables	2345

# firewalls newer implementation
iptables	2345

# performance increase for multi-processor systems
irqbalance	345

# bring up isdn cards/links. We do not use.
#isdn	2345

#if "USES" =~ /\bKUDZU\b/
# hardware change detection
kudzu 345
#endif

# LDAP servers
#if "SERVICES" =~ /\bLDAP\b|\bLDAPMASTER\b/
ldap	2345
#endif

# harware monitoring via check_sensors
lm_sensors	2345

# software raid monitor
#if "USES" =~ /RAIDMD/
mdmonitor	2345
#endif

#if "SERVICES" =~ /MAILMAN/
mailman	2345
#endif

#multipath device monitoring and management interface.
# duplicate of mdmonitor?
#mdmpd	2345

# used by howl for autoconf. We dont use.
#mDNSResponder	345

messagebus	345

# load new intel microcode on boot
microcode_ctl	2345

#if "SERVICES" =~ /MYSQL/
mysql	2345
#endif

#if "OS" =~ /CENTOS/
  #if "USES" =~ /\bLOM\b/
mptctl_load	12345
  #endif
#endif


# network monitoring server.
#if "SERVICES" =~ /\bNAGIOS[12]\b/
nagios	345
  #if "SERVICES" =~ /NAGIOS1/
  ## only running on nagios1 automatically.
  ## nagios2 hosts get manual setup.
sec_nagios	345
  #endif
#endif

#if "SERVICES" =~ /\bBIND\b/
#named	2345
#endif

#if "USES" =~ /NFS[34]/
# mount network filesystems out of fstab
netfs	345
#endif

#if "SERVICES" =~ /NFSSERV/
# start up nfs server daemons
nfs	2345
#endif

#if "SERVICES" =~ /\bSQUID\b/
squid	345
#endif

#if "OS" =~ /CENTOS_5/
# selinux daemon.
mcstrans	2345
#endif

#if "USES" =~ /NFS[34]/ || "SERVICES" =~ /NFSSERV/
# set up lock daemons for nfs mounts. Needed for clients and I believe servers.
nfslock	345
#endif

# fire up the network interfaces
network	2345

# used by howl for autoconf.
#nifd	345

#if "SERVICES" !~ /NONSCD/
# network service caching daemon
nscd	2345
#endif

# network traffic monitoring
#ntop	2345

# network time protocol
ntpd	2345

#opengroupware	2345

#if "SERVICES" =~ /VPNOPEN/
openvpn	345
#endif

#pcmcia	2345

#if "SERVICES" =~ /NFSSERV/ || "USES" =~ /NFS[34]/
# portmapper. Looks like it is unused except for nlockmgr on
# nfs clients (NFS[34]) or mountd, nlockmgr, nfs etc on NFS servers.
portmap	345
#endif

#if "SERVICES" =~ /POSTGRESQL/
postgresql	2345
#endif

# saves/restores entropy pool on shutdown/startup.
# Only works for FC1/FC2 hosts
#if "OS" =~ /FEDORA_[12]/
random	2345
#endif

# map raw devices to block devices. Depricated and not needed.
#rawdevices	345

#if "OS" !~ /FEDORA_1/
# not on fc1.
# preread programs needed for startup into memory to improve statup
# performance.
#if "OS" !~ /CENTOS_5/
readahead	5
#else
readahead_later	5
#endif
readahead_early	5
#endif

#if "USES" =~ /NFS4/
# manage RPC SEC for the NFS V4 nfs clients
rpcgssd	345

# Starts user-level daemon for NFSv4 that maps user \
# names to UID and GID numbers.
rpcidmapd	345

# Starts user-level daemon that manages RPCSEC GSS contexts \
# for the NFSv4 server. How does this differ from rpcgssd???
rpcsvcgssd	345
#endif

# start up mail server. Unless it is a qmail server, run it with
# sendmail
#if "USES" =~ /SENDMAIL/
sendmail	2345
#endif

# start smart daemon to monitor disks
smartd	2345

#if "SERVICES" =~ /SNMP/
# start snmpd
snmpd	2345
#endif

#if "SERVICES" =~ /SMBD/
# run smbd samba service
smb	2345
#endif

# start ssh daemon
sshd	2345

# run stunnel ssl proxy for services that are not ssl enabled.
#if "SERVICES" =~ /STUNNEL/
stunnel	345
#endif

# start syslog
syslog	2345

#if "OS" !~ /FEDORA_1/
# fc1 does not have an rc file for the sysstat package
# reset system activity logs (sar etc)
sysstat	12345
#endif

# dns for external systems
#if "SERVICES" =~ /DNSEXT/
tinydns-ext	service
#endif

# dns for internal systems
#if "SERVICES" =~ /DNSINT/
tinydns-int	service
#endif
# xfont server
#xfs	2345

#if "SERVICES" =~ /TFTP/
# xinetd internet super server.
xinetd	345
#endif

### xinetd started services below
#if "SERVICES" =~ /TFTP/
# tftp service started from xinetd.
tftp
#endif
